rascsi(1)

NAME
rasctl - Sends management commands to the rascsi process

SYNOPSIS
rasctl -l | -s | [-g LOG_LEVEL] [-h HOST] [-p PORT] [-v] -i ID [-c CMD] [-f FILE] [-n NAME] [-t TYPE] [-u UNIT]

DESCRIPTION
rasctl Sends commands to the rascsi process to make configuration adjustments at runtime or to check the status of the devices. Either the -i or -l option should be specified at one time. Not both. You do NOT need root privileges to use rasctl. Note: The command and type arguments are case insensitive. Only the first letter of the command/type is evaluated by the tool.

OPTIONS

-g LOG_LEVEL
    The rascsi log level to set (trace, debug, info, warn, err, critical, off)

-h HOST
    The rascsi host to connect to, default is 'localhost'.

-l  List all of the devices that are currently being emulated by RaSCSI, as well as their current status.

-p PORT
    The rascsi port to connect to, default is 6868.

-s  Display the server-side configuration settings.

-v  Display the rascsi version.

-i ID
    ID is the SCSI ID that you want to control. (0-7)

-c CMD
    Command is the operation being requested. options are:
       attach: attach disk
       detach: detach disk
       insert: insert media (removable media devices only)
       eject: eject media (removable media devices only)
       protect: write protect the media (not for CD-ROMs, which are always read-only)
       unprotect: remove write protection from the media (not for CD-ROMs, which are always read-only)

    eject, protect and unprotect are idempotent.

-b BLOCK_SIZE
    The optional block size for SCSI hard disk drives, either 512, 1024, 2048 or 4096. The default size is 512 bytes.

-f FILE
    Path to the disk image file. See the rascsi(1) man page for allowable file types.

-t TYPE
    Specifies the device type. This type overrides the type derived from the file extension of the specified image. See the rascsi(1) man page for the available device types. Legacy drive types are:
       hd: Hard disk (SCSI or SASI)
       mo: Magneto-Optical disk
       cd: CD-ROM
       bridge: Bridge device (This is only applicable to the Sharp X68000)

-u VENDOR:PRODUCT:REVISION
    The vendor, product and revision for the device, to be returned with the INQUIRY data. A complete set of name components must be provided. VENDOR may have up to 8, PRODUCT up to 16, REVISION up to 4 characters. Padding with blanks to the maxium length is automatically applied. Once set the name of a device cannot be changed.

-u UNIT
    Unit number (0 or 1). This will default to 0. This option is only used when there are multiple SCSI devices on a shared SCSI controller. (This is not common)

EXAMPLES
Show a listing of all of the SCSI devices and their current status.
   rasctl -l Example output:
   +----+----+------+-------------------------------------
   | ID | UN | TYPE | DEVICE STATUS
   +----+----+------+-------------------------------------
   | 0 | 1 | SCHD | /home/pi/harddisk.hda
   +----+----+------+------------------------------------- Request the RaSCSI process to attach a disk (assumed) to SCSI ID 0 with the contents of the file system image "HDIIMAGE0.HDS".
   rasctl -i 0 -f HDIIMAGE0.HDS

SEE ALSO
rascsi(1) scsimon(1) Full documentation is available at: <https://www.github.com/akuker/RASCSI/wiki/>